1.2
1.2
post /v1/saml-providers
Description
Create a saml provider
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SamlProviderCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | SamlProviderCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/saml-providers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = iam 1.2,"
"Content-Type = multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW"
Request body
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="description"
SAML provider Description
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="federation_type"
SAML
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="file"; filename="keycloak-idp-saml.xml"
Content-Type: application/xml
(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="saml_provider_name"
IdpTest
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="tags"
[{'key': 'company', 'value': 'SDS'}]
------WebKitFormBoundary7MA4YWxkTrZu0gW--
Example HTTP response
Response 201
{
"account_id": "",
"acs_url": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"creator_name": "",
"description": "",
"federation_type": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"idp_cert_end": "",
"idp_file_name": "",
"idp_file_size": "",
"idp_issuer_url": "",
"idp_sso_url": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modifier_name": "",
"saml_provider_name": ""
}